Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.lib.jsf
Class StatefulConverter

    java.lang.Object
      org.apache.myfaces.orchestra.lib.jsf.StatefulConverter

All Implemented Interfaces:
  javax.faces.component.StateHolder, javax.faces.convert.Converter

    public class StatefulConverter

extends Object
implements javax.faces.convert.Converter, javax.faces.component.StateHolder

Constructor Summary
`StatefulConverter()`

Method Summary
`Object` | `getAsObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String value)`
`String` | `getAsString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Object value)`
`boolean` | `isTransient()`
`void` | `restoreState(javax.faces.context.FacesContext context, Object oldState)`
`Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setTransient(boolean newTransientValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatefulConverter

    public StatefulConverter()

Method Detail

### getAsObject

    public Object getAsObject(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component,
                              String value)
                       throws javax.faces.convert.ConverterException

  Specified by:
    `getAsObject` in interface `javax.faces.convert.Converter`
  Throws:
    `javax.faces.convert.ConverterException`

### getAsString

    public String getAsString(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component,
                              Object value)
                       throws javax.faces.convert.ConverterException

  Specified by:
    `getAsString` in interface `javax.faces.convert.Converter`
  Throws:
    `javax.faces.convert.ConverterException`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             Object oldState)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### saveState

    public Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### setTransient

    public void setTransient(boolean newTransientValue)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.